NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::BendOperationBuilder Class Reference

Represents a NXOpen::Tooling::BendOperationBuilder builder. More...

Inheritance diagram for NXOpen::Tooling::BendOperationBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  OverbendOptions { OverbendOptionsResizeBendAngle, OverbendOptionsResizeBendRadius }
 The overbend option. More...
 
enum  Prebend {
  PrebendTwo, PrebendThree, PrebendFour, PrebendFive,
  PrebendSix
}
 The number of children bends of prebend. More...
 
enum  Types { TypesUnbend, TypesRebend, TypesPrebend, TypesOverbend }
 unbend operations. More...
 

Public Member Functions

bool AlternateResult ()
 Returns the switch to set if use an alternate result. More...
 
NXOpen::BodyBaseBody ()
 Returns the base body. More...
 
double BendAngle1 ()
 Returns the first angle of prebend. More...
 
double BendAngle2 ()
 Returns the second angle of prebend. More...
 
double BendAngle3 ()
 Returns the third angle of prebend. More...
 
double BendAngle4 ()
 Returns the fourth angle of prebend. More...
 
double BendAngle5 ()
 Returns the fifth angle of prebend. More...
 
double BendDevLength ()
 Returns the operation to developed length of a bend. More...
 
double BendNeutralFactor ()
 Returns the operation of k factor for a single bend. More...
 
NXOpen::Tooling::BendOperationBuilder::Prebend BendNumPrebends ()
 Returns the number of prebends. More...
 
NXOpen::Tooling::DefineNeutralFactorBuilderDefineNeutralFactor ()
 Returns the define neutral factor builder which contains new neutral factor, part material and bend developed length
Created in NX10.0.0. More...
 
bool FixTabFlangePosition ()
 Returns the switch to set if fixed tab or flange position while resize bend radius. More...
 
bool KeepRadiusFixed ()
 Returns the keep radius fixed. More...
 
double OverbendAngle ()
 Returns the overbend angle. More...
 
NXOpen::Tooling::BendOperationBuilder::OverbendOptions OverbendOption ()
 Returns the overbend option
Created in NX9.0.3. More...
 
double OverbendRadius ()
 Returns the overbend radius. More...
 
NXOpen::SelectEdgeListReferObject ()
 Returns the reference objects. More...
 
bool ResizeRadius ()
 Returns the resize radius. More...
 
bool RestorePosition ()
 Returns the switch to set whether restore the overbend part position. More...
 
NXOpen::SelectFaceListSelectedBend ()
 Returns the selection of bends. More...
 
void SetAlternateResult (bool alternateResult)
 Sets the switch to set if use an alternate result. More...
 
void SetBaseBody (NXOpen::Body *baseBody)
 Sets the base body. More...
 
void SetBendAngle1 (double angle1)
 Sets the first angle of prebend. More...
 
void SetBendAngle2 (double angle2)
 Sets the second angle of prebend. More...
 
void SetBendAngle3 (double angle3)
 Sets the third angle of prebend. More...
 
void SetBendAngle4 (double angle4)
 Sets the fourth angle of prebend. More...
 
void SetBendAngle5 (double angle5)
 Sets the fifth angle of prebend. More...
 
void SetBendDevLength (double devLength)
 Sets the operation to developed length of a bend. More...
 
void SetBendNeutralFactor (double kFactor)
 Sets the operation of k factor for a single bend. More...
 
void SetBendNumPrebends (NXOpen::Tooling::BendOperationBuilder::Prebend numBends)
 Sets the number of prebends. More...
 
void SetFixTabFlangePosition (bool fixTabFlangePosition)
 Sets the switch to set if fixed tab or flange position while resize bend radius. More...
 
void SetKeepRadiusFixed (bool keepRadiusFixed)
 Sets the keep radius fixed. More...
 
void SetOverbendAngle (double overbendAngle)
 Sets the overbend angle. More...
 
void SetOverbendOption (NXOpen::Tooling::BendOperationBuilder::OverbendOptions overbendOption)
 Sets the overbend option
Created in NX9.0.3. More...
 
void SetOverbendRadius (double overbendRadius)
 Sets the overbend radius. More...
 
void SetResizeRadius (bool resizeRadius)
 Sets the resize radius. More...
 
void SetRestorePosition (bool restorePosition)
 Sets the switch to set whether restore the overbend part position. More...
 
void SetType (NXOpen::Tooling::BendOperationBuilder::Types type)
 Sets the type. More...
 
NXOpen::Tooling::BendOperationBuilder::Types Type ()
 Returns the type. More...
 
NXOpen::Assemblies::SelectComponentWorkPart ()
 Returns the work part. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Tooling::BendOperationBuilder builder.


To create a new instance of this class, use NXOpen::Tooling::BendOperationCollection::CreateBendOperationBuilder
Default values.

Property Value

AlternateResult

0

BendAngle1

30

BendAngle2

30

BendAngle3

30

BendAngle4

30

BendAngle5

30

BendDevLength

0.0

BendNeutralFactor

0.4

BendNumPrebends

Two

DefineNeutralFactor.BendDevelopedLength

0

DefineNeutralFactor.NeutralFactor

0.40

DefineNeutralFactor.NeutralFactorFormula

General

DefineNeutralFactor.PartMaterial

08

FixTabFlangePosition

0

KeepRadiusFixed

0

OverbendAngle

0

OverbendOption

ResizeBendAngle

RestorePosition

0


Created in NX8.5.0.

Member Enumeration Documentation

The overbend option.

Enumerator
OverbendOptionsResizeBendAngle 

overbend by resize bend angle

OverbendOptionsResizeBendRadius 

overbend by resize bend radius

The number of children bends of prebend.

Enumerator
PrebendTwo 

two prebends

PrebendThree 

three prebends

PrebendFour 

four prebends

PrebendFive 

five prebends

PrebendSix 

six prebends

unbend operations.

Enumerator
TypesUnbend 

unbend operation

TypesRebend 

rebend operation

TypesPrebend 

prebend operation

TypesOverbend 

overbend operation

Member Function Documentation

bool NXOpen::Tooling::BendOperationBuilder::AlternateResult ( )

Returns the switch to set if use an alternate result.


Created in NX6.0.0.

License requirements : None

NXOpen::Body* NXOpen::Tooling::BendOperationBuilder::BaseBody ( )

Returns the base body.


Created in NX6.0.0.

License requirements : None

double NXOpen::Tooling::BendOperationBuilder::BendAngle1 ( )

Returns the first angle of prebend.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::BendOperationBuilder::BendAngle2 ( )

Returns the second angle of prebend.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::BendOperationBuilder::BendAngle3 ( )

Returns the third angle of prebend.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::BendOperationBuilder::BendAngle4 ( )

Returns the fourth angle of prebend.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::BendOperationBuilder::BendAngle5 ( )

Returns the fifth angle of prebend.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::BendOperationBuilder::BendDevLength ( )

Returns the operation to developed length of a bend.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::BendOperationBuilder::BendNeutralFactor ( )

Returns the operation of k factor for a single bend.


Created in NX7.5.0.

License requirements : None

NXOpen::Tooling::BendOperationBuilder::Prebend NXOpen::Tooling::BendOperationBuilder::BendNumPrebends ( )

Returns the number of prebends.


Created in NX7.5.0.

License requirements : None

NXOpen::Tooling::DefineNeutralFactorBuilder* NXOpen::Tooling::BendOperationBuilder::DefineNeutralFactor ( )

Returns the define neutral factor builder which contains new neutral factor, part material and bend developed length
Created in NX10.0.0.



License requirements : None

bool NXOpen::Tooling::BendOperationBuilder::FixTabFlangePosition ( )

Returns the switch to set if fixed tab or flange position while resize bend radius.


Created in NX9.0.3.

License requirements : None

bool NXOpen::Tooling::BendOperationBuilder::KeepRadiusFixed ( )

Returns the keep radius fixed.


Created in NX6.0.0.

License requirements : None

double NXOpen::Tooling::BendOperationBuilder::OverbendAngle ( )

Returns the overbend angle.


Created in NX6.0.0.

License requirements : None

NXOpen::Tooling::BendOperationBuilder::OverbendOptions NXOpen::Tooling::BendOperationBuilder::OverbendOption ( )

Returns the overbend option
Created in NX9.0.3.



License requirements : None

double NXOpen::Tooling::BendOperationBuilder::OverbendRadius ( )

Returns the overbend radius.


Created in NX8.5.0.

License requirements : None

NXOpen::SelectEdgeList* NXOpen::Tooling::BendOperationBuilder::ReferObject ( )

Returns the reference objects.


Created in NX6.0.0.

License requirements : None

bool NXOpen::Tooling::BendOperationBuilder::ResizeRadius ( )

Returns the resize radius.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Tooling::BendOperationBuilder::RestorePosition ( )

Returns the switch to set whether restore the overbend part position.


Created in NX9.0.3.

License requirements : None

NXOpen::SelectFaceList* NXOpen::Tooling::BendOperationBuilder::SelectedBend ( )

Returns the selection of bends.


Created in NX6.0.0.

License requirements : None

void NXOpen::Tooling::BendOperationBuilder::SetAlternateResult ( bool  alternateResult)

Sets the switch to set if use an alternate result.


Created in NX6.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
alternateResultalternateresult
void NXOpen::Tooling::BendOperationBuilder::SetBaseBody ( NXOpen::Body baseBody)

Sets the base body.


Created in NX6.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
baseBodybasebody
void NXOpen::Tooling::BendOperationBuilder::SetBendAngle1 ( double  angle1)

Sets the first angle of prebend.


Created in NX7.5.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
angle1angle1
void NXOpen::Tooling::BendOperationBuilder::SetBendAngle2 ( double  angle2)

Sets the second angle of prebend.


Created in NX7.5.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
angle2angle2
void NXOpen::Tooling::BendOperationBuilder::SetBendAngle3 ( double  angle3)

Sets the third angle of prebend.


Created in NX7.5.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
angle3angle3
void NXOpen::Tooling::BendOperationBuilder::SetBendAngle4 ( double  angle4)

Sets the fourth angle of prebend.


Created in NX7.5.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
angle4angle4
void NXOpen::Tooling::BendOperationBuilder::SetBendAngle5 ( double  angle5)

Sets the fifth angle of prebend.


Created in NX7.5.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
angle5angle5
void NXOpen::Tooling::BendOperationBuilder::SetBendDevLength ( double  devLength)

Sets the operation to developed length of a bend.


Created in NX7.5.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
devLengthdevlength
void NXOpen::Tooling::BendOperationBuilder::SetBendNeutralFactor ( double  kFactor)

Sets the operation of k factor for a single bend.


Created in NX7.5.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
kFactorkfactor
void NXOpen::Tooling::BendOperationBuilder::SetBendNumPrebends ( NXOpen::Tooling::BendOperationBuilder::Prebend  numBends)

Sets the number of prebends.


Created in NX7.5.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
numBendsnumbends
void NXOpen::Tooling::BendOperationBuilder::SetFixTabFlangePosition ( bool  fixTabFlangePosition)

Sets the switch to set if fixed tab or flange position while resize bend radius.


Created in NX9.0.3.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
fixTabFlangePositionfixtabflangeposition
void NXOpen::Tooling::BendOperationBuilder::SetKeepRadiusFixed ( bool  keepRadiusFixed)

Sets the keep radius fixed.


Created in NX6.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
keepRadiusFixedkeepradiusfixed
void NXOpen::Tooling::BendOperationBuilder::SetOverbendAngle ( double  overbendAngle)

Sets the overbend angle.


Created in NX6.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
overbendAngleoverbendangle
void NXOpen::Tooling::BendOperationBuilder::SetOverbendOption ( NXOpen::Tooling::BendOperationBuilder::OverbendOptions  overbendOption)

Sets the overbend option
Created in NX9.0.3.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
overbendOptionoverbendoption
void NXOpen::Tooling::BendOperationBuilder::SetOverbendRadius ( double  overbendRadius)

Sets the overbend radius.


Created in NX8.5.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
overbendRadiusoverbendradius
void NXOpen::Tooling::BendOperationBuilder::SetResizeRadius ( bool  resizeRadius)

Sets the resize radius.


Created in NX7.5.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
resizeRadiusresizeradius
void NXOpen::Tooling::BendOperationBuilder::SetRestorePosition ( bool  restorePosition)

Sets the switch to set whether restore the overbend part position.


Created in NX9.0.3.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
restorePositionrestoreposition
void NXOpen::Tooling::BendOperationBuilder::SetType ( NXOpen::Tooling::BendOperationBuilder::Types  type)

Sets the type.


Created in NX6.0.0.

License requirements : None

Parameters
typetype
NXOpen::Tooling::BendOperationBuilder::Types NXOpen::Tooling::BendOperationBuilder::Type ( )

Returns the type.


Created in NX6.0.0.

License requirements : None

NXOpen::Assemblies::SelectComponent* NXOpen::Tooling::BendOperationBuilder::WorkPart ( )

Returns the work part.


Created in NX6.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.